Where is my Foreman front end URL?
10/26/2012 01:24 PM - Andrew Gooding
Pull request:

Description

I am not getting the URL to access Foreman. Please help me to point them out.

| installed Foreman over Centos 6.3 using the following procedure:

1. Installed needed base software (ruby, etc)

2. install puppet-server-2.7.19

3. mkdir -p modules/common; cd modules/common

4. git clone --recursive git:/github.com/theforeman/foreman-installer.git .

5. echo include puppet, puppet::server, foreman, foreman_proxy, passenger | puppet apply --modulepath

/etc/puppet/modules/common/

6. Foreman Tools installed:
foreman-cli
foreman-libvirt
foreman-ovirt
foreman-ec2 ## Required
foreman-vmware
foreman-console
foreman-mysql
foreman-mysql2
foreman-postgresq|
foreman-sqlite

7. lusr/share/foreman/config/database.yml
production:

adapter: mysq|

database: puppet

username: puppet

password: MYSQL_PASSWORD_PH
socket: "/var/lib/mysql/mysql.sock"

host: localhost

encoding: utf8

timeout: 5000

8. /usr/share/foreman/config/settings.yaml
:unattended: true

:puppetconfdir: /etc/puppet/puppet.conf
2login: false

‘require_ssl: true

:modulepath: /etc/puppet/modules/
tftppath: tftp/

‘Idap: false
:puppet_server: puppet

:puppet_interval: 30

:document_root: /usr/share/foreman/public
:administrator: FOREMAN_EMAIL_PH
:foreman_url: foreman.DOMAIN_PH

9. change the foreman_url parameter to include the port number on which foreman listens (port 3000)
sed -i "s/http:V\V\${::fqdn}/http:VVpuppet.mycompany.com:3000/g" /etc/puppet/modules/common/foreman/manifests/params.pp

10. Rake Foreman DB migration

Set mysql database and user.

cd /usr/share/foreman

cp /ust/lib/ruby/site_ruby/1.8/puppet/reports/foreman.rb /usr/lib/ruby/site_ruby/1.8/puppet/reports/foreman-report.rb
RAILS_ENV=production rake db:migrate

(I see the database and tables are in place)

11. Start services

service foreman restart
service foreman-proxy restart
service httpd restart

12. The installation created this files under /etc/httpd/conf.d

README foreman.conf passenger.conf puppet.conf ssl.conf welcome.conf
foreman.conf

<VirtualHost 10.171.114.156:80>

<VirtualHost 10.171.114.156:443>

puppet.conf

<VirtualHost *:8140>

The only page that | see is this one:
http://foreman.mycompany.com:8443/features
http://foreman.mycompany.com:80 # Apache site

| cannot find a file with the port 3000 and maybe for that | cannot access Foreman, the question here is how can | get it/generated in
coherence with all the settings?

Where is my Foreman front end URL?

Maybe | missed an important step in the process, PLEASE HELP !

History

#1 - 10/26/2012 01:27 PM - Andrew Gooding

The step 9 was done before step 5

#2 - 10/26/2012 03:36 PM - Andrew Gooding

| made some updates on the conf files and now allow me to access the virtualhost front end.
You can close this request.
Thanks

#3 - 10/31/2012 02:55 PM - Sam Kottler

- Status changed from New to Closed
